XDR_INLINE_DECODE(9)

NAME
xdr_inline_decode - Retrieve XDR data to decode

SYNOPSIS

__be32 * xdr_inline_decode(struct xdr_stream * xdr, size_t nbytes);

ARGUMENTS

xdr
    pointer to xdr_stream struct

nbytes
    number of bytes of data to decode

DESCRIPTION

Check if the input buffer is long enough to enable us to decode 'nbytes' more bytes of data starting at the current position. If so return the current pointer, then update the current pointer position.

COPYRIGHT